2011-04-04  Atsushi Eno  <atsushi@ximian.com>

	Add WCF diagnostics implementation (not working yet).

2011-04-01  Marek Habersack  <grendel@twistedcode.net>

	[wcf] Unbreak the build (Assembly.IsDynamic is a 4.0 thing)

2011-04-01  Atsushi Eno  <atsushi@ximian.com>

	Implement ConfigurationName support for ChannelFactory.

	It is required for MoonlightDrtViewer bugfixing.

2011-02-17  Atsushi Eno  <atsushi@ximian.com>

	get out from NET_4_0.

2011-02-17  Atsushi Eno  <atsushi@ximian.com>

	Fill a couple of missing ServiceAuthorizationElement
	implementation.

2011-02-01  Atsushi Eno  <atsushi@ximian.com>

	standard endpoint and protocol mapping support were lacking at
	client side.

	Turned out that they had nothing to do with #668089..

2010-10-20  Atsushi Eno  <atsushi@ximian.com>

	Forgot #if NET_4_0.

2010-10-20  Atsushi Eno  <atsushi@ximian.com>

	Add ExtendedProtectionPolicy members. Required by .config files by
	.NET svcutil.

2010-10-05  Atsushi Eno  <atsushi@ximian.com>

	Do not overwrite properly configured ServiceBehaviorElement.Name.

2010-09-28  Marek Habersack  <grendel@twistedcode.net>

	* NamedServiceModelExtensionCollectionElement.cs: minimum length
	of the Name property value is 0 for 4.0 *
	ServiceBehaviorElementCollection.cs: added an override of BaseAdd
	which makes sure that the element being added has its Name set to
	String.Empty if the element's name is null * ServiceHostBase.cs:
	support for simplified behavior configuration. Refactored behavior
	addition code to a separate method. Check whether behavior is not
	in the collection before adding it.

2010-09-27  Marek Habersack  <grendel@twistedcode.net>

	[wcf]
	System.ServiceModel.Configuration.CustomBindignCollectionElement.GetDefault
	returns an instance of CustomBinding

2010-09-21  Atsushi Eno  <atsushi@ximian.com>

	Add missing Properties property.

2010-09-18  Atsushi Eno  <atsushi@ximian.com>

	ProtocolMapping needed config section, default items and support
	in ServiceHostBase.

2010-09-16  Atsushi Eno  <atsushi@ximian.com>

	Add ProtocolMapping support.

2010-09-16  Atsushi Eno  <atsushi@ximian.com>

	Return new instance.

2010-09-16  Atsushi Eno  <atsushi@ximian.com>

	Add the trickiest line that had me; AddElementName is not on
	ConfigurationProperty here.

2010-09-15  Atsushi Eno  <atsushi@ximian.com>

	add more NET_4_0.

2010-09-15  Atsushi Eno  <atsushi@ximian.com>

	Add NET_4_0.

2010-09-14  Atsushi Eno  <atsushi@ximian.com>

	ongoing standard endpoint configuration support work.

2010-09-14  Atsushi Eno  <atsushi@ximian.com>

	Add new properties in 4.0.

2010-09-14  Atsushi Eno  <atsushi@ximian.com>

	Avoid crash by missing config attributes.

2010-09-13  Atsushi Eno  <atsushi@ximian.com>

	implemented large parts of WCF standard endpoints and
	configuration support.

2010-09-10  Atsushi Eno  <atsushi@ximian.com>

	Add missing members and implement most of it.

2010-09-01  Atsushi Eno  <atsushi@ximian.com>

	Add IdentityElement implementation and some supplemental extension
	methods for discovery.

2010-08-02  atsushieno  <atsushi@ximian.com>

	Add build fix (not sure if it is correct; MSDN does not tell it
	exists.)

2010-07-30  Atsushi Enomoto  <atsushi@ximian.com>

	*  EndpointCollectionElement.cs,
	  StandardEndpointCollectionElement.cs,
	  StandardEndpointElement.cs,
	  StandardEndpointElementCollection.cs : new 4.0 types.

2010-07-28  Atsushi Enomoto  <atsushi@ximian.com>

	* CallbackTimeoutsElement.cs
	  ChannelPoolSettingsElement.cs
	  ClaimTypeElement.cs
	  ClientCredentialsElement.cs
	  ServiceCredentialsElement.cs
	  ServiceModelExtensionCollectionElement.cs
	  StandardBindingOptionalReliableSessionElement.cs
	  StandardBindingReliableSessionElement.cs : couple of API fixes.
	* LocalClientSecuritySettingsElement.cs : fixed Properties.

2010-07-27  Atsushi Enomoto  <atsushi@ximian.com>

	* ClaimTypeElement.cs
	  ClaimTypeElementCollection.cs
	  FederatedMessageSecurityOverHttpElement.cs
	  StandardBindingOptionalReliableSessionElement.cs
	  StandardBindingReliableSessionElement.cs
	  WSFederationHttpBindingElement.cs
	  WSFederationHttpSecurityElement.cs
	  WSHttpBindingBaseElement.cs : implemented ApplyConfiguration and
	  add/fix descendants' members.

2010-07-27  Atsushi Enomoto  <atsushi@ximian.com>

	* FederatedMessageSecurityOverHttpElement.cs : use correct converter.
	* WSFederationHttpBindingCollectionElement.cs : remove extra members.
	* WSDualHttpBindingElement.cs, WSFederationHttpBindingElement.cs :
	  fill base properties expectedly.

2010-07-27  Atsushi Enomoto  <atsushi@ximian.com>

	* WSDualHttpBindingElement.cs, WSFederationHttpBindingElement.cs :
	  BindingElementType is not a configuration property.

2010-07-27  Atsushi Enomoto  <atsushi@ximian.com>

	* ConfigUtil.cs : the error message can be less ambiguous.

2010-07-26  Atsushi Enomoto  <atsushi@ximian.com>

	* ConfigUtil.cs, ServiceCredentialsElement.cs :
	  implement x509 store support.

2010-07-08  Atsushi Enomoto  <atsushi@ximian.com>

	* ClientCredentialsElement.cs : warning cleanup.

2010-05-31  Atsushi Enomoto  <atsushi@ximian.com>

	* ClientCredentialsElement.cs, HttpDigestClientElement.cs,
	  ConfigUtil.cs : implement ClientCredentialsElement.CreateBehavior().

2010-04-05  Atsushi Enomoto  <atsushi@ximian.com>

	* BaseAddressPrefixFilterElementCollection.cs
	  BaseAddressPrefixFilterElement.cs : new classes.
	* ReliableSessionElement.cs
	  XmlDictionaryReaderQuotasElement.cs
	  TextMessageEncodingElement.cs
	  HostTimeoutsElement.cs
	  BaseAddressElementCollection.cs
	  BasicHttpBindingElement.cs
	  BindingElementExtensionElement.cs
	  StandardBindingElement.cs
	  BinaryMessageEncodingElement.cs : added couple of missing stuff.

2010-03-23  Atsushi Enomoto  <atsushi@ximian.com>

	* ConnectionOrientedTransportElement.cs, StandardBindingElement.cs, 
	  LocalClientSecuritySettingsElement.cs, CustomBindingElement.cs:
	  add couple of missing methods and TypeConverterAttributes.

2010-03-17  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceMetadataPublishingElement.cs : use IsNullOrEmpty(), names
	  could be "" which is equivalent to null here.

2010-03-17  Atsushi Enomoto  <atsushi@ximian.com>

	* ConfigUtil.cs, StandardBindingCollectionElement.cs,
	  MexHttpsBindingCollectionElement.cs,
	  MexHttpBindingCollectionElement.cs : use GetDefault() in
	  BindingCollectionElement to create a Binding, instead of activator
	  immediately. And for mex bindings, use MetadataExchangeBindings.

2010-03-16  Atsushi Enomoto  <atsushi@ximian.com>

	* TcpTransportElement.cs
	  MsmqIntegrationElement.cs
	  MsmqElementBase.cs
	  NamedPipeTransportElement.cs
	  HttpsTransportElement.cs
	  TransportElement.cs
	  MsmqTransportElement.cs
	  HttpTransportElement.cs : implement missing methods.

2010-03-16  Atsushi Enomoto  <atsushi@ximian.com>

	* IssuedTokenClientElement.cs, MsmqBindingElementBase.cs,
	  NamedPipeConnectionPoolSettingsElement.cs,
	  TcpConnectionPoolSettingsElement.cs,
	  StandardBindingReliableSessionElement.cs,
	  LocalServiceSecuritySettingsElement.cs : use TimeSpanConverter.

2010-03-15  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceDebugElement.cs : binding names could rather be empty.

2010-03-09  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReaderQuotasElement.cs : add ApplyConfiguration().
	* BasicHttpBindingElement.cs : apply transport security part.
	  Use ReaderQuotas.ApplyConfiguration() for better config application.
	* HttpTransportSecurityElement.cs :
	  Add utility config method. Fix enum default values.

2010-03-08  Atsushi Enomoto  <atsushi@ximian.com>

	* X509RecipientCertificateServiceElement.cs : remove extra FIXMEs.
	* ServiceCredentialsElement.cs : implement CreateBehavior().

2010-03-03  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceDebugElement.cs, ServiceMetadataPublishingElement.cs:
	  add missing members.

2009-10-02  Atsushi Enomoto  <atsushi@ximian.com>

	* ConfigUtil.cs : revert the change, to use ServiceHostingEnvironment
	  internal member again.

2009-10-02  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceThrottlingElement.cs : implement CreateBehavior().

2009-10-01  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceModelExtensionCollectionElement.cs : add couple of missing
	  members. Implement Reset() to not clean up items (so far it is
	  hacky workaround).

2009-10-01  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceBehaviorElement.cs, EndpointBehaviorElement.cs :
	  remove extra interfaces.
	* ServiceModelEnhancedConfigurationElementCollection.cs :
	  there is no protected constructor.
	* EndpointBehaviorElementCollection.cs :
	  add ThrowOnDuplicate.

2009-10-01  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceModelConfigurationElementCollection.cs : implement set[this]
	* ServiceBehaviorElementCollection.cs : remove extra members.

2009-09-30  Atsushi Enomoto  <atsushi@ximian.com>

	* ConfigUtil.cs : use WeConfigurationManager when it is under
	  ASP.NET environment.

2009-04-08  Atsushi Enomoto  <atsushi@ximian.com>

	* IdentityElement.cs, NetPeerTcpBindingElement.cs: implemented
	  OnApplyConfiguration().

2009-04-07  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReaderQuotasElement.cs, NetTcpBindingElement.cs:
	  implement OnApplyConfiguration().

2008-04-22  Igor Zelmanovich <igorz@mainsoft.com>

	* ServiceDebugElement.cs:
	implement CreateBehavior method.
	
2008-04-03  Igor Zelmanovich <igorz@mainsoft.com>

	* ServiceModelExtensionCollectionElement.cs:
	implement this[int index] api.
	
2008-04-01  Igor Zelmanovich <igorz@mainsoft.com>

	* ServiceEndpointElementCollection.cs: fix GetElementKey().
	
2008-03-31  Vladmir Krasnov  <vladmimir@mainsoft.com>

	* ConfigUtil.cs: fixed CreateBinding
	* BasicHttpBindingElement.cs: OnApplyConfiguration
	* StandardBindingElement.cs: implemented ApplyConfiguration

2008-03-27  Igor Zelmanovich <igorz@mainsoft.com>

	* XmlElementElementCollection.cs:
	* XmlElementElement.cs:
	* WSFederationHttpBindingElement.cs:
	* WSDualHttpBindingElement.cs:
	* WindowsStreamSecurityElement.cs:
	* UseManagedPresentationElement.cs:
	* TransportElement.cs:
	* TransactionFlowElement.cs:
	* TextMessageEncodingElement.cs:
	* TcpTransportElement.cs:
	* TcpConnectionPoolSettingsElement.cs:
	* StandardBindingReliableSessionElement.cs:
	* SslStreamSecurityElement.cs:
	* SecurityElementBase.cs:
	* SecurityElement.cs:
	* ReliableSessionElement.cs:
	* PrivacyNoticeElement.cs:
	* PnrpPeerResolverElement.cs:
	* PeerTransportElement.cs:
	* OneWayElement.cs:
	* NetPeerTcpBindingElement.cs:
	* NetMsmqBindingElement.cs:
	* NamedPipeTransportElement.cs:
	* NamedPipeConnectionPoolSettingsElement.cs:
	* MtomMessageEncodingElement.cs:
	* MsmqTransportElement.cs:
	* MsmqIntegrationElement.cs:
	* MsmqIntegrationBindingElement.cs:
	* MsmqElementBase.cs:
	* MsmqBindingElementBase.cs:
	* MethodStubs.cs:
	* MessageSecurityOverMsmqElement.cs:
	* LocalServiceSecuritySettingsElement.cs:
	* LocalClientSecuritySettingsElement.cs:
	* IssuedTokenParametersEndpointAddressElement.cs:
	* IssuedTokenParametersElement.cs:
	* IssuedTokenClientElement.cs:
	* HttpTransportElement.cs:
	* HttpsTransportElement.cs:
	* FederatedMessageSecurityOverHttpElement.cs:
	* EndpointAddressElementBase.cs:
	* ConnectionOrientedTransportElement.cs:
	* CompositeDuplexElement.cs:
	* ChannelPoolSettingsElement.cs:
	fix apis and implementation, make corresponding tests pass																							

2008-03-27  Igor Zelmanovich <igorz@mainsoft.com>

	* IPAddressConverter.cs:
	* MessageVersionConverter.cs:
	* MessageSecurityVersionConverter.cs:
	* ReliableMessagingVersionConverter.cs:	
	new internal converters used for reading configuration.			

2008-03-26  Igor Zelmanovich <igorz@mainsoft.com>

	* ServiceModelExtensionCollectionElement.cs:
	fix GetEnumerator method.	

2008-03-26  Igor Zelmanovich <igorz@mainsoft.com>

	* ClientSection.cs: implement InitializeDefaults, refactoring.
	* MetadataElement.cs: implement LoadPolicyImporExtensions, 
	LoasWsdlImportExtensions, refactoring.		
	* MethodStubs.cs: refactoring.
	* PolicyImporterElement.cs: add missing constructors, refactoring.
	* PolicyImporterElementCollection.cs: refactoring.
	* WsdlImporterElement.cs: add missing constructors, refactoring.
	* WsdlImporterElementCollection.cs: refactoring.			

2008-03-24  Igor Zelmanovich <igorz@mainsoft.com>

	* ExtensionsSection.cs: typo fix.
	* MethodStubs.cs: refactoring.	
	* PolicyVersionConverter.cs: implement ConvertTo method.
	* ServiceAuthorizationElement.cs: refactoring.
	* ServiceCredentialsElement.cs: fix BehaviorType property, refactoring.
	* ServiceDebugElement.cs: fix BehaviorType property, refactoring.
	* ServiceSecurityAuditElement.cs: fix BehaviorType property, refactoring.
	* ServiceThrottlingElement.cs: fix BehaviorType property, refactoring.
	* ServiceTimeoutsElement.cs: fix BehaviorType property, refactoring.
	* X509CertificateTrustedIssuerElement.cs: refactoring.
	* X509CertificateTrustedIssuerElementCollection.cs: implement GetElementKey.
	all changes make corresponding tests pass.																							
											
2008-03-04  Eyal Alaluf <eyala@mainsoft.com>

	* EndpointBehaviorElement.cs: Add "callbackDebug" behavior element.
	* MethodStubs.cs: Fix key calculcation of ChannelEndpointElementCollection.
	* NamedServiceModelExtensionCollectionElement.cs: Allow derived classes
	  to extend the properties of this configuration element.
    * ServiceModelExtensionCollectionElement.cs: Implement GetEnumerator.
	* ServiceModelConfigurationElementCollection.cs: Implement collection.

2008-03-02  Igor Zelmanovich <igorz@mainsoft.com>

	* StandardBindingOptionalReliableSessionElement.cs:
	* StandardBindingReliableSessionElement.cs:	
	fix properties collection initialization.	

2008-03-02  Igor Zelmanovich <igorz@mainsoft.com>

	* MessageSecurityOverTcpElement.cs:
	fix properties collection initialization.	

2008-02-19  Igor Zelmanovich <igorz@mainsoft.com>

	* BasicHttpBindingElement.cs:
	* BindingCollectionElement.cs:
	* BindingsSection.cs:
	* ChannelEndpointElementCollection.cs:
	* MethodStubs.cs:
	* MexBindingElement.cs:
	* MexHttpBindingElement.cs:
	* MexHttpsBindingElement.cs:
	* MexNamedPipeBindingElement.cs:
	* MexTcpBindingElement.cs:
	* MsmqIntegrationBindingElement.cs:
	* NetMsmqBindingElement.cs:
	* NetNamedPipeBindingElement.cs:
	* NetPeerTcpBindingElement.cs:
	* NetTcpBindingElement.cs:
	* PolicyImporterElementCollection.cs:
	* TransactionProtocolConverter.cs	
	* StandardBindingCollectionElement.cs:
	* StandardBindingElement.cs:
	* WsdlImporterElementCollection.cs:
	* WSDualHttpBindingElement.cs:
	* WSFederationHttpBindingElement.cs:
	* WSHttpBindingElement.cs:
	fix apis and implementation, make corresponding tests pass																							

2008-02-17  Igor Zelmanovich <igorz@mainsoft.com>

	* BasicHttpBindingElement.cs:
	* ServiceModelConfigurationElementCollection.cs:
	* StandardBindingElement.cs: 
	* StandardBindingElementCollection.cs:
	fixed several bugs, make relevant tests pass.		
	
2008-02-17  Igor Zelmanovich <igorz@mainsoft.com>

	* EncodingConverter.cs: added internal class.
	* SecurityAlgorithmSuiteConverter.cs: added internal class.
	* BasicHttpMessageSecurityElement.cs: 
	use SecurityAlgorithmSuiteConverter for "algorithmSuite" property.
	
2008-02-16  Atsushi Enomoto  <atsushi@ximian.com>

	* MethodStubs.cs : Added CreateBehavior() method in couple of elements.

2007-03-30  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceModelSectionGroup.cs :
	  Diagnostic section name is "diagnostics".

2006-10-20  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceMetadataPublishingElement.cs : enable gets by default.
	* ServiceModelConfigurationElementCollection.cs,
	  NamedServiceModelExtensionCollectionElement.cs :
	  cosmetic API fixes.
	* MethodStubs.cs : (ServiceBehaviorElementCollection and 
	  ServiceBehaviorElement) override DeserializeElement() to read
	  individual extension elements (and make some DeserializeElement()
	  callable).

2006-10-13  Atsushi Enomoto  <atsushi@ximian.com>

	* MethodStubs.cs : implemented some GetElementKey() implementations.

2006-09-27  Atsushi Enomoto  <atsushi@ximian.com>

	Replaced Dummy.cs with individual class files:
	* MethodStubs.cs : there were some API changes in Sep.CTP.
	* Dummy.cs,
	  AddressHeaderCollectionElement.cs,
	  AuthorizationPolicyTypeElement.cs,
	  AuthorizationPolicyTypeElementCollection.cs,
	  BaseAddressElement.cs,
	  BaseAddressElementCollection.cs,
	  BasicHttpBindingCollectionElement.cs,
	  BasicHttpBindingElement.cs,
	  BasicHttpMessageSecurityElement.cs,
	  BasicHttpSecurityElement.cs,
	  BehaviorsSection.cs,
	  BinaryMessageEncodingElement.cs,
	  BindingCollectionElement.cs,
	  BindingElementExtensionElement.cs,
	  BindingsSection.cs,
	  CallbackDebugElement.cs,
	  CallbackTimeoutsElement.cs,
	  CertificateElement.cs,
	  CertificateReferenceElement.cs,
	  ChannelEndpointElement.cs,
	  ChannelEndpointElementCollection.cs,
	  ChannelPoolSettingsElement.cs,
	  ClaimTypeElement.cs,
	  ClaimTypeElementCollection.cs,
	  ClientCredentialsElement.cs,
	  ClientSection.cs,
	  ClientViaElement.cs,
	  ComContractElement.cs,
	  ComContractElementCollection.cs,
	  ComContractsSection.cs,
	  ComMethodElement.cs,
	  ComMethodElementCollection.cs,
	  ComPersistableTypeElement.cs,
	  ComPersistableTypeElementCollection.cs,
	  ComUdtElement.cs,
	  ComUdtElementCollection.cs,
	  CommonBehaviorsSection.cs,
	  CommonEndpointBehaviorElement.cs,
	  CommonServiceBehaviorElement.cs,
	  CompositeDuplexElement.cs,
	  ConnectionOrientedTransportElement.cs,
	  CustomBindingCollectionElement.cs,
	  CustomBindingElement.cs,
	  CustomBindingElementCollection.cs,
	  DataContractSerializerElement.cs,
	  DiagnosticSection.cs,
	  DnsElement.cs,
	  EndpointAddressElementBase.cs,
	  EndpointBehaviorElement.cs,
	  EndpointBehaviorElementCollection.cs,
	  ExtensionElement.cs,
	  ExtensionElementCollection.cs,
	  ExtensionsSection.cs,
	  FederatedMessageSecurityOverHttpElement.cs,
	  HostElement.cs,
	  HostTimeoutsElement.cs,
	  HttpDigestClientElement.cs,
	  HttpTransportElement.cs,
	  HttpTransportSecurityElement.cs,
	  HttpsTransportElement.cs,
	  IdentityElement.cs,
	  IssuedTokenClientBehaviorsElement.cs,
	  IssuedTokenClientBehaviorsElementCollection.cs,
	  IssuedTokenClientElement.cs,
	  IssuedTokenParametersElement.cs,
	  IssuedTokenParametersEndpointAddressElement.cs,
	  IssuedTokenServiceElement.cs,
	  LocalClientSecuritySettingsElement.cs,
	  LocalServiceSecuritySettingsElement.cs,
	  MessageLoggingElement.cs,
	  MessageSecurityOverHttpElement.cs,
	  MessageSecurityOverMsmqElement.cs,
	  MessageSecurityOverTcpElement.cs,
	  MetadataElement.cs,
	  MexBindingBindingCollectionElement.cs,
	  MexBindingElement.cs,
	  MexHttpBindingCollectionElement.cs,
	  MexHttpBindingElement.cs,
	  MexHttpsBindingCollectionElement.cs,
	  MexHttpsBindingElement.cs,
	  MexNamedPipeBindingCollectionElement.cs,
	  MexNamedPipeBindingElement.cs,
	  MexTcpBindingCollectionElement.cs,
	  MexTcpBindingElement.cs,
	  MsmqBindingElementBase.cs,
	  MsmqElementBase.cs,
	  MsmqIntegrationBindingCollectionElement.cs,
	  MsmqIntegrationBindingElement.cs,
	  MsmqIntegrationElement.cs,
	  MsmqIntegrationSecurityElement.cs,
	  MsmqTransportElement.cs,
	  MsmqTransportSecurityElement.cs,
	  MtomMessageEncodingElement.cs,
	  NamedPipeConnectionPoolSettingsElement.cs,
	  NamedPipeTransportElement.cs,
	  NamedPipeTransportSecurityElement.cs,
	  NamedServiceModelExtensionCollectionElement.cs,
	  NetMsmqBindingCollectionElement.cs,
	  NetMsmqBindingElement.cs,
	  NetMsmqSecurityElement.cs,
	  NetNamedPipeBindingCollectionElement.cs,
	  NetNamedPipeBindingElement.cs,
	  NetNamedPipeSecurityElement.cs,
	  NetPeerTcpBindingCollectionElement.cs,
	  NetPeerTcpBindingElement.cs,
	  NetTcpBindingCollectionElement.cs,
	  NetTcpBindingElement.cs,
	  NetTcpSecurityElement.cs,
	  NonDualMessageSecurityOverHttpElement.cs,
	  OneWayElement.cs,
	  PeerCredentialElement.cs,
	  PeerCustomResolverElement.cs,
	  PeerResolverElement.cs,
	  PeerSecurityElement.cs,
	  PeerTransportElement.cs,
	  PeerTransportSecurityElement.cs,
	  PnrpPeerResolverElement.cs,
	  PolicyImporterElement.cs,
	  PolicyImporterElementCollection.cs,
	  PrivacyNoticeElement.cs,
	  ReliableSessionElement.cs,
	  RsaElement.cs,
	  SecureConversationServiceElement.cs,
	  SecurityElement.cs,
	  SecurityElementBase.cs,
	  ServiceAuthorizationElement.cs,
	  ServiceBehaviorElement.cs,
	  ServiceBehaviorElementCollection.cs,
	  ServiceCredentialsElement.cs,
	  ServiceDebugElement.cs,
	  ServiceElement.cs,
	  ServiceElementCollection.cs,
	  ServiceEndpointElement.cs,
	  ServiceEndpointElementCollection.cs,
	  ServiceHostingEnvironmentSection.cs,
	  ServiceMetadataPublishingElement.cs,
	  ServiceModelEnhancedConfigurationElementCollection.cs,
	  ServiceModelExtensionElement.cs,
	  ServicePrincipalNameElement.cs,
	  ServiceSecurityAuditElement.cs,
	  ServiceThrottlingElement.cs,
	  ServiceTimeoutsElement.cs,
	  ServicesSection.cs,
	  SslStreamSecurityElement.cs,
	  StandardBindingCollectionElement.cs,
	  StandardBindingElement.cs,
	  StandardBindingElementCollection.cs,
	  StandardBindingOptionalReliableSessionElement.cs,
	  StandardBindingReliableSessionElement.cs,
	  SynchronousReceiveElement.cs,
	  TcpConnectionPoolSettingsElement.cs,
	  TcpTransportElement.cs,
	  TcpTransportSecurityElement.cs,
	  TextMessageEncodingElement.cs,
	  TransactedBatchingElement.cs,
	  TransactionFlowElement.cs,
	  TransportConfigurationTypeElement.cs,
	  TransportConfigurationTypeElementCollection.cs,
	  TransportElement.cs,
	  UseManagedPresentationElement.cs,
	  UserNameServiceElement.cs,
	  UserPrincipalNameElement.cs,
	  WSDualHttpBindingCollectionElement.cs,
	  WSDualHttpBindingElement.cs,
	  WSDualHttpSecurityElement.cs,
	  WSFederationHttpBindingCollectionElement.cs,
	  WSFederationHttpBindingElement.cs,
	  WSFederationHttpSecurityElement.cs,
	  WSHttpBindingBaseElement.cs,
	  WSHttpBindingCollectionElement.cs,
	  WSHttpBindingElement.cs,
	  WSHttpSecurityElement.cs,
	  WSHttpTransportSecurityElement.cs,
	  WindowsClientElement.cs,
	  WindowsServiceElement.cs,
	  WindowsStreamSecurityElement.cs,
	  WsdlImporterElement.cs,
	  WsdlImporterElementCollection.cs,
	  X509CertificateTrustedIssuerElement.cs,
	  X509CertificateTrustedIssuerElementCollection.cs,
	  X509ClientCertificateAuthenticationElement.cs,
	  X509ClientCertificateCredentialsElement.cs,
	  X509DefaultServiceCertificateElement.cs,
	  X509InitiatorCertificateClientElement.cs,
	  X509InitiatorCertificateServiceElement.cs,
	  X509PeerCertificateAuthenticationElement.cs,
	  X509PeerCertificateElement.cs,
	  X509RecipientCertificateClientElement.cs,
	  X509RecipientCertificateServiceElement.cs,
	  X509ScopedServiceCertificateElement.cs,
	  X509ScopedServiceCertificateElementCollection.cs,
	  X509ServiceCertificateAuthenticationElement.cs,
	  XPathMessageFilterElement.cs,
	  XPathMessageFilterElementCollection.cs,
	  XPathMessageFilterElementComparer.cs,
	  XmlDictionaryReaderQuotasElement.cs,
	  XmlElementElement.cs,
	  XmlElementElementCollection.cs : replaced.

2006-09-05  Atsushi Enomoto  <atsushi@ximian.com>

	* Dummy.cs : (config) regenerated.

2006-07-21  Atsushi Enomoto  <atsushi@ximian.com>

	* Dummy.cs : regenerated.

2006-06-30  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceModelEnhancedConfigurationElementCollection.cs :
	  oops, it is extraneous.

2006-06-30  Atsushi Enomoto  <atsushi@ximian.com>

	* MethodStubs.cs : several fixes due to the requirements from base
	  types.
	* ServiceModelSectionGroup.cs,
	  ConfigUtil.cs : Reflect type name changes on properties.
	* Dummy.cs : regenerated.

	* ServiceModelEnhancedConfigurationElementCollection.cs,
	  ServiceModelExtensionCollectionElement.cs :
	  Added new types.
	* BindingSectionGroup.cs,
	  ServiceModelExtensionSectionCollection.cs
	  StandardBindingSection.cs
	  NamedServiceModelExtensionSectionCollection.cs
	  SecuritySectionBase.cs
	  EndpointAddressElementBase.cs
	  MsmqSectionBase.cs
	  ServiceModelBasicMapConfigurationElementCollection.cs
	  MsmqBindingConfigurationElementBase.cs
	  StandardBindingConfigurationElementCollection.cs :
	  Removed old types.

2006-06-29  Atsushi Enomoto  <atsushi@ximian.com>

	* MethodStubs.cs : some API fixes.
	* MsmqTransportSectionBase.cs : removed obsolete type.

2006-06-28  Atsushi Enomoto  <atsushi@ximian.com>

	* StandardBindingSection.cs : removed ConfiguredBindings from
	  config properties (it conflicts with Bindings).
	* Dummy.cs : regenerated (BindingName is not config property).
	* ConfigUtil.cs : add bindingConfiguration parameter to
	  CreateBinding(). For now comment out ApplyConfiguration().

2006-06-28  Atsushi Enomoto  <atsushi@ximian.com>

	* BindingsSectionGroup.cs : refresh addition.
	* StandardBindingSection.cs : added missing members.
	* MethodStubs.cs : removed default constructor which now conflicts
	  with generated one.
	  Added missing interface members (since interfaces are written now).
	* Dummy.cs : regenerated.
	* StandardBindingConfigurationElementCollection.cs :
	  implemented GetElementKey().

2006-06-27  Atsushi Enomoto  <atsushi@ximian.com>

	* ConfigUtil.cs : reverted previous hack.
	* MethodStubs.cs : added some BindingType property implementation.
	* ServiceModelExtensionSectionCollection.cs : not abstract.
	* StandardBindingConfigurationElementCollection.cs :
	  new missing type.

2006-06-27  Atsushi Enomoto  <atsushi@ximian.com>

	* BindingsSectionGroup.cs : removed and it is now autogenerated.
	* ServiceModelConfigurationElementCollection.cs : some API fixes.
	* ServiceModelBasicMapConfigurationElementCollection.cs : ditto.
	* MethodStubs.cs : added some missing stuff. Especially, now
	  GetElementKey() is manually added to all collection types.
	* ConfigUtil.cs : hacky Bindings properties.
	* Dummy.cs : regenerated.

2006-06-26  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceModelConfigurationElementCollection.cs :
	  implemented ElementName.

2006-06-26  Atsushi Enomoto  <atsushi@ximian.com>

	* Dummy.cs : regerenerated.

2006-06-26  Atsushi Enomoto  <atsushi@ximian.com>

	* ConfigUtil.cs : new utility class.

2006-06-26  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceModelSectionGroup.cs : 
	* IBindingConfigurationElement.cs : added ApplyConfiguration().
	* BindingsSectionGroup.cs : some API fixes. A bit of indexer
	  implementation.
	* ServiceModelConfigurationElementCollection.cs : implemented a bit.
	* ServiceModelSectionGroup.cs : implemented.

2006-05-29  Atsushi Enomoto  <atsushi@ximian.com>

	* Dummy.cs : regenerated.

2006-05-13  Atsushi Enomoto  <atsushi@ximian.com>

	* configgen/configgen.cs : changed implementation strategy. Now it
	  generates code similar to existing Sys.Configuration classes.
	* Dummy.cs : regenerated
	* ServiceModelExtensionSectionCollection.cs,
	  StandardBindingSection.cs
	  AuthenticationMode.cs
	  IBindingConfigurationElement.cs
	  SecuritySectionBase.cs
	  EndpointAddressElementBase.cs
	  ServiceModelConfigurationElementCollection.cs
	  ServiceModelBasicMapConfigurationElementCollection.cs
	  MethodStubs.cs : several API updates.

2006-02-23  Atsushi Enomoto  <atsushi@ximian.com>

	* Dummy.cs MethodStubs.cs StandardBindingSection.cs :
	  Feb. CTP API changes - chapter 1.

2006-02-15  Atsushi Enomoto  <atsushi@ximian.com>

	* Dummy.cs : regenerated.

2006-02-02  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceModelConfigurationElementCollection.cs : signature fix
	  (in sync with sys.configuration.dll)

2005-11-20  Atsushi Enomoto  <atsushi@ximian.com>

	* MsmqSectionBase.cs, MsmqTransportSectionBase.cs,
	  NamedServiceModelExtensionSectionCollection.cs : new in Nov. CTP.
	* Dummy.cs, AuthenticationMode.cs :
	  updated to Nov. CTP.

2005-11-20  Atsushi Enomoto  <atsushi@ximian.com>

	* Dummy.cs, BindingsSectionGroup.cs :
	  removed items related to IntermediaryBinding (removed in beta2).

2005-10-19  Atsushi Enomoto  <atsushi@ximian.com>

	* configgen/configgen.cs : now that bug #76365 is gone, we can use
	  partial types without problem.
	* MethodStubs.cs : thus, new file for partial types to define
	  methods manually.
	* Dummy.cs : regenerated.

2005-10-06  Atsushi Enomoto  <atsushi@ximian.com>

	* ServicesSection.cs : remove.
	  Actually autogenerated ServicesSection is better.
	* Dummy.cs : regenerated.

2005-10-06  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceModelConfigurationElementCollection.cs,
	  StandardBindingSection.cs : added some missing members.
	* Dummy.cs : regenereated.

2005-10-06  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceModelBasicMapConfigurationElementCollection.cs,
	  ServiceModelExtensionSectionCollection.cs,
	  StandardBindingSection.cs, MsmqBindingConfigurationElementBase.cs :
	  new non-autogenerated files.
	* Dummy.cs :regenerated.

2005-10-06  Atsushi Enomoto  <atsushi@ximian.com>

	* EndpointAddressElementBase.cs : new non-autogenerated file.
	* Dummy.cs : regenerated.

2005-10-06  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceModelConfigurationElementCollection.cs,
	  IBindingConfigurationElement.cs : new files.
	* Dummy.cs : reflecting configgen.exe changes.

2005-10-05  Atsushi Enomoto  <atsushi@ximian.com>

	* AuthenticationMode.cs : new enum.
	* Dummy.cs : autogenerated by configgen.exe.

2005-09-29  Atsushi Enomoto  <atsushi@ximian.com>

	* BindingsSectionGroup.cs, ServiceModelSectionGroup.cs
	  ServicesSection.cs : new files.

